Subject: Re: linux-next: Tree for Sep 2 (exfat)

From: Greg KH <[email-masked]>
Date: Mon, 2 Sep 2019 19:46:31 +0200

On Mon, Sep 02, 2019 at 10:39:39AM -0700, Randy Dunlap wrote:
> On 9/2/19 5:43 AM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > News: I will only be doing 2 more releases before I leave for Kernel
> > Summit (there may be some reports on Thursday, but I doubt I will have
> > time to finish the full release) and then no more until Sept 30.
> > 
> > Changes since 20190830:
> > 
> 
> Hi,
> I am seeing lots of exfat build errors when CONFIG_BLOCK is not set/enabled.
> Maybe its Kconfig should also say
> 	depends on BLOCK
> ?

Here's what I committed to my tree:

>From e2b880d3d1afaa5cad108c29be3e307b1917d195 Mon Sep 17 00:00:00 2001
From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 2 Sep 2019 19:45:06 +0200
Subject: staging: exfat: make exfat depend on BLOCK

This should fix a build error in some configurations when CONFIG_BLOCK
is not selected.  Also properly set the dependancy for no FAT support at
the same time.

Reported-by: Randy Dunlap <[email-masked]>
Cc: Valdis Kletnieks <[email-masked]>
Signed-off-by: Greg Kroah-Hartman <[email-masked]>
---
 drivers/staging/exfat/Kconfig | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/drivers/staging/exfat/Kconfig b/drivers/staging/exfat/Kconfig
index f52129c67f97..290dbfc7ace1 100644
--- a/drivers/staging/exfat/Kconfig
+++ b/drivers/staging/exfat/Kconfig
@@ -1,11 +1,13 @@
 config EXFAT_FS
 	tristate "exFAT fs support"
+	depends on BLOCK
 	select NLS
 	help
 	  This adds support for the exFAT file system.
 
 config EXFAT_DONT_MOUNT_VFAT
 	bool "Prohibit mounting of fat/vfat filesysems by exFAT"
+	depends on EXFAT_FS
 	default y
 	help
 	  By default, the exFAT driver will only mount exFAT filesystems, and refuse
-- 
2.23.0